Name:           perl-Template-Alloy
Version:        1.007
Release:        3%{?dist}
Summary:        Templating tool supporting multiple markup formats 
# see lib/Template/Alloy.pod
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Template-Alloy/
Source0:        http://www.cpan.org/authors/id/R/RH/RHANDOM/Template-Alloy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Test::More) 
# cpan
# test
BuildRequires: perl(Taint::Runtime)
BuildRequires: perl(Template::View)
BuildRequires: perl(Template::Stash)
BuildRequires: perl(File::Path)


%description
"An alloy is a homogeneous mixture of two or more elements"
(http://en.wikipedia.org/wiki/Alloy).

Template::Alloy represents the mixing of features and capabilities from all 
of the major mini-language based template systems (support for 
non-mini-language based systems will happen eventually).  With Template::Alloy
you can use your favorite template interface and syntax and get features from 
each of the other major template systems.  And Template::Alloy is fast - 
whether you're using mod_perl, cgi, or running from the commandline.  There
is even Template::Alloy::XS for getting a little more speed when that is 
necessary.


%prep
%setup -q -n Template-Alloy-%{version}

find . -type f -exec chmod -c -x {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# README is currently 0-length
%doc Changes samples/ t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Oct 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-3
- bump

* Wed Oct 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-2
- update summary tag

* Mon Oct 15 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-1
- update to 1.007
- update license tag: GPL -> GPL+

* Thu Aug 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.006-1
- Specfile autogenerated by cpanspec 1.71.
